### Hierarchy

- WalletUtils

## Index

### Properties

- WALLET_VALIDATOR

### Methods

- createAppWalletData
- createBtcWalletData
- createEthereumWalletData
- createUsdWalletData
- validateWalletsData

## Properties

### Static WALLET_VALIDATOR

WALLET_VALIDATOR: WalletValidatorStrategy = new WalletValidatorStrategy()

- Defined in utils/WalletUtils.ts:23

## Methods

### Static createAppWalletData

- createAppWalletData(baseId: string, validation?: boolean): AppWalletData

- - Defined in utils/WalletUtils.ts:91

  #### Parameters

  - ##### baseId: string

  - ##### Optional validation: boolean

  #### Returns AppWalletData

### Static createBtcWalletData

- createBtcWalletData(baseId: string, address: string, privateKey: string, validation?: boolean): BtcWalletData

- - Defined in utils/WalletUtils.ts:69

  #### Parameters

  - ##### baseId: string

  - ##### address: string

  - ##### privateKey: string

  - ##### Optional validation: boolean

  #### Returns BtcWalletData

### Static createEthereumWalletData

- createEthereumWalletData(baseId: string, address: string, privateKey: string, validation?: boolean): EthWalletData

- - Defined in utils/WalletUtils.ts:53

  #### Parameters

  - ##### baseId: string

  - ##### address: string

  - ##### privateKey: string

  - ##### Optional validation: boolean

  #### Returns EthWalletData

### Static createUsdWalletData

- createUsdWalletData(baseId: string, address: string, validation?: boolean): UsdWalletData

- - Defined in utils/WalletUtils.ts:102

  #### Parameters

  - ##### baseId: string

  - ##### address: string

  - ##### Optional validation: boolean

  #### Returns UsdWalletData

### Static validateWalletsData

- validateWalletsData(baseId: string, cryptoWallets: CryptoWalletsData): Array<ValidationResult<StringSignedMessage>>

- - Defined in utils/WalletUtils.ts:25

  #### Parameters

  - ##### baseId: string

  - ##### cryptoWallets: CryptoWalletsData

  #### Returns Array<ValidationResult<StringSignedMessage>>

Generated using TypeDoc